Bug 1107 - Change request: porting additions to libproc
Change request: porting additions to libproc
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: procps (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-10 15:01 EST by Jeff Johnson
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-16 18:22:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Johnson 1999-02-10 15:01:47 EST
The (new) daemon rpc.rstatd needs access to certain
routines in /lib/libproc.so.*. In addition, certain
structures commonly accessed through kvm on BSD
machines could/should be moved from rpc.rstatd to procps
in order to simplify porting iostat/vmstat like programs
from BSD like systems.
Comment 1 Michael K. Johnson 1999-02-11 12:24:59 EST
Under consideration for procps 1.9/2.0
Comment 2 Michael K. Johnson 1999-03-25 16:40:59 EST
Depends on installing something like /usr/include/proc/* header files
and having a real published interface.  The header files and real
published interface have been a goal for a long time...  We did not
have time to get it done for 2.0

I haven't decided whether the porting structs belong or not.
Comment 3 Jeff Johnson 1999-05-16 18:22:59 EDT
This has been resoved in the rstatd build.

Note You need to log in before you can comment on or make changes to this bug.